<h1>Featherflight</h1>
<br>Feather Cape now allows you to rise, not <i>just</i>  fall.
<br>
<br><img src="https://i.imgur.com/8Roh7Dn.png" width=400>
<br>
<br><b>DISCLAIMER</b>: When I say not just <b>fall</b>, I meant it. The default settings of this mod is meant for balancing purposes. Feel free to change the configuration however you see fit. Many of the values can be changed and tailor it your gameplay. Want "rise" to only get you higher and "boost" to give you forward speed? You can do it by adjusting the config. Default settings does both, but boost gives extra velocity for more stamina.
<br>
<br> The default settings prevent you from regaining stamina when rising. You will also lose featherfall effects if you hit 0 stamina while rising. You will need to manage your stamina values. That said, balancing of velocity and stamina consumption may need some work. If you have any recommendations, let me know!
<br>
<br><b>How to use</b>
<ol type="1">
<li>You will need the feather cape to start with.</li>
<li>You will then be able to use your jump and run key.</li>
<li>Jump (Rise): Holding the Jump key will consume stamina and propel you upward and forward.</li>
<li>Run (Boost): Holding the Run key will consume more stamina, but gives more force.</li>
</ol>
<br> <b>Configurable Values:</b>
<br> <ol type="1">
<li>Stamina Mode - You can choose between Per Unit or Percentage stamina drain.</li>
<li>Fall Speed - You can set the default fall speed when not Rising.</li>
<li>Max Fall Damage - Vanilla has this set at 100.</li>
<li>Max Y Velocity - This value limits your upward velocity.</li>
<li>Max X and Z Velocity - This value limits your forward velocity.</li>
<li>Enable Feather Fall on Zero Stamina - Enabling this will allow you to keep slowfalling when you hit 0 stamina. Without this, you will come crashing down when you hit 0.</li>
<li>Enable Zero Fall Damage on Zero Stamina - Enabling this will allow you to keep taking 0 fall damage when you hit 0 stamina.</li>
<li>Enable Stamina Regen while Rising - By default, Rising will prevent stamina regeneration for balancing purposes. You can turn this back on again by toggling this on.</li>
<li>Rise Upward Velocity - Be very <b>careful</b> when changing any velocity values . Only make little changes at a time as this ignore mass/gravity.</li>
<li>Rise Forward Velocity - Be very <b>careful</b> when changing any velocity values . Only make little changes at a time as this ignore mass/gravity.</li>
<li>Rise Fall Speed - Fall Speed applied while Rising.</li>
<li>Rise Per Unit Stamina Drain - If Stamina Mode is set to Per Unit, stamina drain will consume this value as is.</li>
<li>Rise Percentage Stamina Drain - If Stamina Mode is set to Percentage, stamina drain will consume this value at a percentage of your maximum stamina.</li>
<li>Boost Upward Velocity - Be very <b>careful</b> when changing any velocity values . Only make little changes at a time as this ignore mass/gravity.</li>
<li>Boost Forward Velocity - Be very <b>careful</b> when changing any velocity values . Only make little changes at a time as this ignore mass/gravity.</li>
<li>Boost Fall Speed - Fall Speed applied while Boosting.</li>
<li>Boost Per Unit Stamina Drain - If Stamina Mode is set to Per Unit, stamina drain will consume this value as is.</li>
<li>Boost Percentage Stamina Drain - If Stamina Mode is set to Percentage, stamina drain will consume this value at a percentage of your maximum stamina.</li>
</ol>

<br><b>Credits</b>
<br>Huge thank you to coemt for teaching me how to mod, and guiding me throughout process! Check out his mods here: <a href="https://thunderstore.io/c/valheim/p/coemt/">Coemt</a>
<br>	
 
Thank you to Azumatt, and the Valheim Modding Discord people for helping me out!

Logo taken from freepik
<br>
<br><b>Version Control</b>
<br>1.0.1 - Adjusted timer for ground check
<br>1.0.0 - First release
<br>
<br>
<a href='https://ko-fi.com/J3J6X1IYI' target='_blank'><img height='36' style='border:0px;height:36px;' src='https://storage.ko-fi.com/cdn/kofi3.png?v=3' border='0' alt='Buy Me a Coffee at ko-fi.com' /></a>


